## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseASEColumnImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
                                      org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl
                                          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEColumnImpl

All Implemented Interfaces:
  SybaseASEColumn, SybaseAuthorizedObject, SQLObject, TypedElement, Column, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASECatalogColumn

    public class SybaseASEColumnImpl

extends org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl
implements SybaseASEColumn

An implementation of the model object 'Sybase ASE Column'.

The following features are implemented:

- `Column Check`
- `Bound Default`
- `Bound Rule`
- `Materialized`
- `Encryption Key`
- `Bind Default In Future Only`
- `Bind Rule In Future Only`
- `Hidden`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`SybaseASEDefault` `basicGetBoundDefault()`
`SybaseASERule` `basicGetBoundRule()`
`SybaseASEColumnCheckConstraint` `basicGetColumnCheck()`
`SybaseASEEncryptionKey` `basicGetEncryptionKey()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetColumnCheck(SybaseASEColumnCheckConstraint newColumnCheck, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`SybaseASEDefault` `getBoundDefault()`
`SybaseASERule` `getBoundRule()`
`SybaseASEColumnCheckConstraint` `getColumnCheck()`
`SybaseASEEncryptionKey` `getEncryptionKey()`
`boolean` `isBindDefaultInFutureOnly()`
`boolean` `isBindRuleInFutureOnly()`
`boolean` `isComputedColumn()`
`boolean` `isHidden()`
`boolean` `isMaterialized()`
`void` `setBindDefaultInFutureOnly(boolean newBindDefaultInFutureOnly)`
`void` `setBindRuleInFutureOnly(boolean newBindRuleInFutureOnly)`
`void` `setBoundDefault(SybaseASEDefault newBoundDefault)`
`void` `setBoundRule(SybaseASERule newBoundRule)`
`void` `setColumnCheck(SybaseASEColumnCheckConstraint newColumnCheck)`
`void` `setEncryptionKey(SybaseASEEncryptionKey newEncryptionKey)`
`void` `setHidden(boolean newHidden)`
`void` `setMaterialized(boolean newMaterialized)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl

`basicSetGenerateExpression, basicSetIdentitySpecifier, basicSetTable, eBasicRemoveFromContainerFeature, getDefaultValue, getGenerateExpression, getIdentitySpecifier, getScopeCheck, getTable, isImplementationDependent, isNullable, isPartOfForeignKey, isPartOfPrimaryKey, isPartOfUniqueConstraint, isScopeChecked, setDefaultValue, setGenerateExpression, setIdentitySpecifier, setImplementationDependent, setNullable, setScopeCheck, setScopeChecked, setTable`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.TypedElementImpl
`basicGetReferencedType, basicSetContainedType, getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Column
`getDefaultValue, getGenerateExpression, getIdentitySpecifier, getScopeCheck, getTable, isImplementationDependent, isNullable, isPartOfForeignKey, isPartOfPrimaryKey, isPartOfUniqueConstraint, isScopeChecked, setDefaultValue, setGenerateExpression, setIdentitySpecifier, setImplementationDependent, setNullable, setScopeCheck, setScopeChecked, setTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getColumnCheck

    public SybaseASEColumnCheckConstraint getColumnCheck()

  Specified by:
    `getColumnCheck` in interface `SybaseASEColumn`
  Returns:
    the value of the 'Column Check' reference.
  See Also:
    `SybaseASEColumn.setColumnCheck(SybaseASEColumnCheckConstraint)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_ColumnCheck()`, `SybaseASEColumnCheckConstraint.getColumn()`

### basicGetColumnCheck

    public SybaseASEColumnCheckConstraint basicGetColumnCheck()

### basicSetColumnCheck

    public org.eclipse.emf.common.notify.NotificationChain basicSetColumnCheck(SybaseASEColumnCheckConstraint newColumnCheck,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setColumnCheck

    public void setColumnCheck(SybaseASEColumnCheckConstraint newColumnCheck)

  Specified by:
    `setColumnCheck` in interface `SybaseASEColumn`
  Parameters:
    `newColumnCheck` - the new value of the 'Column Check' reference.
  See Also:
    `SybaseASEColumn.getColumnCheck()`

### getBoundDefault

    public SybaseASEDefault getBoundDefault()

  Specified by:
    `getBoundDefault` in interface `SybaseASEColumn`
  Returns:
    the value of the 'Bound Default' reference.
  See Also:
    `SybaseASEColumn.setBoundDefault(SybaseASEDefault)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_BoundDefault()`

### basicGetBoundDefault

    public SybaseASEDefault basicGetBoundDefault()

### setBoundDefault

    public void setBoundDefault(SybaseASEDefault newBoundDefault)

  Specified by:
    `setBoundDefault` in interface `SybaseASEColumn`
  Parameters:
    `newBoundDefault` - the new value of the 'Bound Default' reference.
  See Also:
    `SybaseASEColumn.getBoundDefault()`

### getBoundRule

    public SybaseASERule getBoundRule()

  Specified by:
    `getBoundRule` in interface `SybaseASEColumn`
  Returns:
    the value of the 'Bound Rule' reference.
  See Also:
    `SybaseASEColumn.setBoundRule(SybaseASERule)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_BoundRule()`

### basicGetBoundRule

    public SybaseASERule basicGetBoundRule()

### setBoundRule

    public void setBoundRule(SybaseASERule newBoundRule)

  Specified by:
    `setBoundRule` in interface `SybaseASEColumn`
  Parameters:
    `newBoundRule` - the new value of the 'Bound Rule' reference.
  See Also:
    `SybaseASEColumn.getBoundRule()`

### isMaterialized

    public boolean isMaterialized()

  Specified by:
    `isMaterialized` in interface `SybaseASEColumn`
  Returns:
    the value of the 'Materialized' attribute.
  See Also:
    `SybaseASEColumn.setMaterialized(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_Materialized()`

### setMaterialized

    public void setMaterialized(boolean newMaterialized)

  Specified by:
    `setMaterialized` in interface `SybaseASEColumn`
  Parameters:
    `newMaterialized` - the new value of the 'Materialized' attribute.
  See Also:
    `SybaseASEColumn.isMaterialized()`

### getEncryptionKey

    public SybaseASEEncryptionKey getEncryptionKey()

  Specified by:
    `getEncryptionKey` in interface `SybaseASEColumn`
  Returns:
    the value of the 'Encryption Key' reference.
  See Also:
    `SybaseASEColumn.setEncryptionKey(SybaseASEEncryptionKey)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_EncryptionKey()`

### basicGetEncryptionKey

    public SybaseASEEncryptionKey basicGetEncryptionKey()

### setEncryptionKey

    public void setEncryptionKey(SybaseASEEncryptionKey newEncryptionKey)

  Specified by:
    `setEncryptionKey` in interface `SybaseASEColumn`
  Parameters:
    `newEncryptionKey` - the new value of the 'Encryption Key' reference.
  See Also:
    `SybaseASEColumn.getEncryptionKey()`

### isBindDefaultInFutureOnly

    public boolean isBindDefaultInFutureOnly()

  Specified by:
    `isBindDefaultInFutureOnly` in interface `SybaseASEColumn`
  Returns:
    the value of the 'Bind Default In Future Only' attribute.
  See Also:
    `SybaseASEColumn.setBindDefaultInFutureOnly(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_BindDefaultInFutureOnly()`

### setBindDefaultInFutureOnly

    public void setBindDefaultInFutureOnly(boolean newBindDefaultInFutureOnly)

  Specified by:
    `setBindDefaultInFutureOnly` in interface `SybaseASEColumn`
  Parameters:
    `newBindDefaultInFutureOnly` - the new value of the 'Bind Default In Future Only' attribute.
  See Also:
    `SybaseASEColumn.isBindDefaultInFutureOnly()`

### isBindRuleInFutureOnly

    public boolean isBindRuleInFutureOnly()

  Specified by:
    `isBindRuleInFutureOnly` in interface `SybaseASEColumn`
  Returns:
    the value of the 'Bind Rule In Future Only' attribute.
  See Also:
    `SybaseASEColumn.setBindRuleInFutureOnly(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_BindRuleInFutureOnly()`

### setBindRuleInFutureOnly

    public void setBindRuleInFutureOnly(boolean newBindRuleInFutureOnly)

  Specified by:
    `setBindRuleInFutureOnly` in interface `SybaseASEColumn`
  Parameters:
    `newBindRuleInFutureOnly` - the new value of the 'Bind Rule In Future Only' attribute.
  See Also:
    `SybaseASEColumn.isBindRuleInFutureOnly()`

### isHidden

    public boolean isHidden()

  Specified by:
    `isHidden` in interface `SybaseASEColumn`
  Returns:
    the value of the 'Hidden' attribute.
  See Also:
    `SybaseASEColumn.setHidden(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEColumn_Hidden()`

### setHidden

    public void setHidden(boolean newHidden)

  Specified by:
    `setHidden` in interface `SybaseASEColumn`
  Parameters:
    `newHidden` - the new value of the 'Hidden' attribute.
  See Also:
    `SybaseASEColumn.isHidden()`

### isComputedColumn

    public boolean isComputedColumn()

  Specified by:
    `isComputedColumn` in interface `SybaseASEColumn`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.tables.impl.ColumnImpl`